Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.ui
Class EntityConverter

    java.lang.Object
      org.jboss.seam.ui.EntityConverter

All Implemented Interfaces:
  Serializable, javax.faces.convert.Converter

    @Name(value="org.jboss.seam.ui.EntityConverter")
    @Scope(value=CONVERSATION)
    @Install(precedence=0)
    @Converter
    @BypassInterceptors
    public class EntityConverter

extends Object
implements javax.faces.convert.Converter, Serializable

Allows conversion of an entity to/from a key which can be written to a page. Support is provided for JPA (by default) and Hibernate (with the session specified in components.xml)

See Also:
  Serialized Form

Constructor Summary
`EntityConverter()`

Method Summary
`Object` | `getAsObject(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent cmp, String value)`
`String` | `getAsString(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent cmp, Object value)`
`AbstractEntityLoader` | `getEntityLoader()`
`void` | `setEntityLoader(AbstractEntityLoader entityLoader)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityConverter

    public EntityConverter()

Method Detail

### getEntityLoader

    public AbstractEntityLoader getEntityLoader()

### setEntityLoader

    public void setEntityLoader(AbstractEntityLoader entityLoader)

### getAsString

    @Transactional
    public String getAsString(javax.faces.context.FacesContext facesContext,
                                            javax.faces.component.UIComponent cmp,
                                            Object value)
                       throws javax.faces.convert.ConverterException

  Specified by:
    `getAsString` in interface `javax.faces.convert.Converter`
  Throws:
    `javax.faces.convert.ConverterException`

### getAsObject

    @Transactional
    public Object getAsObject(javax.faces.context.FacesContext facesContext,
                                            javax.faces.component.UIComponent cmp,
                                            String value)
                       throws javax.faces.convert.ConverterException

  Specified by:
    `getAsObject` in interface `javax.faces.convert.Converter`
  Throws:
    `javax.faces.convert.ConverterException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.